package database

import (
	"database/sql"
	"sevenkeys/logic/scryfall"
)

func InsertSet(db *sql.DB, set scryfall.Set) error {
	query := `INSERT INTO ExpansionSet (SetCode, Name, CardCount, IconSvgUri) VALUES (?, ?, ?, ?);`

	insert, err := db.Prepare(query)
	defer insert.Close()
	if err != nil {
		return err
	}

	_, err = insert.Exec(set.Code, set.Name, set.CardCount, set.IconSvgUri)
	if err != nil {
		return err
	}

	return nil
}
